com.sun.grid.jgdi.monitoring

## Class QueueInstanceSummaryPrinter

- java.lang.Object
- - com.sun.grid.jgdi.monitoring.QueueInstanceSummaryPrinter

-     public class QueueInstanceSummaryPrinter
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueueInstanceSummaryPrinter()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OutputTable` | `createJobSummaryTable(QueueInstanceSummaryOptions options)`
    `static void` | `print(java.io.PrintWriter pw, QHostResult result, QHostOptions options)`
    `static void` | `print(java.io.PrintWriter pw, QueueInstanceSummaryResult result, QueueInstanceSummaryOptions options)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueueInstanceSummaryPrinter

          public QueueInstanceSummaryPrinter()

  - ### Method Detail

    - #### createJobSummaryTable

          public static OutputTable createJobSummaryTable(QueueInstanceSummaryOptions options)
                                                   throws java.beans.IntrospectionException

      Throws:
        `java.beans.IntrospectionException`

    - #### print

          public static void print(java.io.PrintWriter pw,
                                   QueueInstanceSummaryResult result,
                                   QueueInstanceSummaryOptions options)

    - #### print

          public static void print(java.io.PrintWriter pw,
                                   QHostResult result,
                                   QHostOptions options)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.